Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision c477b310889b106862984c80a816386ea5e0a3e0)
+++ sansview/perspectives/fitting/fitpage.py	(revision 6fdfc8fab90b8745b06ee22c6b8c7121258d54e1)
@@ -902,9 +902,4 @@
         sizer.Add(self.cb1,(iy, ix),(1,1),\
                              wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 5)
-        ix += 1
-        self.text2_4 = wx.StaticText(self, -1, '[Units]')
-        sizer.Add(self.text2_4,(iy, ix),(1,1),\
-                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-        #self.text2_4.Hide()
         ix +=1
         self.text2_2 = wx.StaticText(self, -1, 'Values')
@@ -926,4 +921,9 @@
                             wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
         self.text2_max.Hide()
+        ix += 1
+        self.text2_4 = wx.StaticText(self, -1, '[Units]')
+        sizer.Add(self.text2_4,(iy, ix),(1,1),\
+                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
+        self.text2_4.Hide()
         if self.engine_type=="park":
             self.text2_max.Show(True)
@@ -940,11 +940,4 @@
                 sizer.Add( cb,( iy, ix),(1,1),
                              wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 5)
-                ix +=1
-                # Units
-                try:
-                    units = wx.StaticText(self, -1, self.model.details[item][0], style=wx.ALIGN_LEFT)
-                except:
-                    units = wx.StaticText(self, -1, "", style=wx.ALIGN_LEFT)
-                sizer.Add(units, (iy,ix),(1,1),  wx.EXPAND|wx.ADJUST_MINSIZE, 0)
                 
                 ## add parameter value
@@ -999,4 +992,11 @@
                     ctl3.Show(True)
                     ctl4.Show(True)
+                ix +=1
+                # Units
+                try:
+                    units = wx.StaticText(self, -1, self.model.details[item][0], style=wx.ALIGN_LEFT)
+                except:
+                    units = wx.StaticText(self, -1, "", style=wx.ALIGN_LEFT)
+                sizer.Add(units, (iy,ix),(1,1),  wx.EXPAND|wx.ADJUST_MINSIZE, 0)
                     
                 ##[cb state, name, value, "+/-", error of fit, min, max , units]
@@ -1020,15 +1020,4 @@
                 sizer.Add( cb,( iy, ix),(1,1),
                              wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 5)
-                ix +=1
-                # Units
-                try:
-                    units = wx.StaticText(self, -1, self.model.details[item][0], style=wx.ALIGN_LEFT)
-                except:
-                    units = wx.StaticText(self, -1, "", style=wx.ALIGN_LEFT)
-                if self.data.__class__.__name__ =="Data2D":
-                    units.Enable()
-                else:
-                    units.Disable()
-                sizer.Add(units, (iy,ix),(1,1),  wx.EXPAND|wx.ADJUST_MINSIZE, 0)
 
                 ## add parameter value
@@ -1096,4 +1085,15 @@
                     ctl3.Show(True)
                     ctl4.Show(True)
+                ix +=1
+                # Units
+                try:
+                    units = wx.StaticText(self, -1, self.model.details[item][0], style=wx.ALIGN_LEFT)
+                except:
+                    units = wx.StaticText(self, -1, "", style=wx.ALIGN_LEFT)
+                if self.data.__class__.__name__ =="Data2D":
+                    units.Enable()
+                else:
+                    units.Disable()
+                sizer.Add(units, (iy,ix),(1,1),  wx.EXPAND|wx.ADJUST_MINSIZE, 0)
                     
                 
Index: sansview/perspectives/fitting/modelpage.py
===================================================================
--- sansview/perspectives/fitting/modelpage.py	(revision c477b310889b106862984c80a816386ea5e0a3e0)
+++ sansview/perspectives/fitting/modelpage.py	(revision 6fdfc8fab90b8745b06ee22c6b8c7121258d54e1)
@@ -462,12 +462,12 @@
                              wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         ix +=1
+        self.text2_2 = wx.StaticText(self, -1, 'Values')
+        sizer.Add(self.text2_2,(iy, ix),(1,1),\
+                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
+        ix +=1
         self.text2_4 = wx.StaticText(self, -1, '[Units]')
         sizer.Add(self.text2_4,(iy, ix),(1,1),\
                             wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-        #self.text2_4.Hide()
-        ix +=1
-        self.text2_2 = wx.StaticText(self, -1, 'Values')
-        sizer.Add(self.text2_2,(iy, ix),(1,1),\
-                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
+        self.text2_4.Hide()
         
         for item in keys:
@@ -478,4 +478,16 @@
                 sizer.Add( name,( iy, ix),(1,1),
                              wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+
+                ix += 1
+                value= self.model.getParam(item)
+                ctl1 = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20),
+                    style=wx.TE_PROCESS_ENTER)
+                
+                ctl1.SetValue(str (format_number(value)))
+                ctl1.Bind(wx.EVT_SET_FOCUS, self.onSetFocus)
+                ctl1.Bind(wx.EVT_KILL_FOCUS, self._onparamEnter)
+                ctl1.Bind(wx.EVT_TEXT_ENTER,self._onparamEnter)
+                
+                sizer.Add(ctl1, (iy,ix),(1,1), wx.EXPAND)
                 ix +=1
                 # Units
@@ -485,16 +497,4 @@
                     units = wx.StaticText(self, -1, "", style=wx.ALIGN_LEFT)
                 sizer.Add(units, (iy,ix),(1,1),  wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-
-                ix += 1
-                value= self.model.getParam(item)
-                ctl1 = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20),
-                    style=wx.TE_PROCESS_ENTER)
-                
-                ctl1.SetValue(str (format_number(value)))
-                ctl1.Bind(wx.EVT_SET_FOCUS, self.onSetFocus)
-                ctl1.Bind(wx.EVT_KILL_FOCUS, self._onparamEnter)
-                ctl1.Bind(wx.EVT_TEXT_ENTER,self._onparamEnter)
-                
-                sizer.Add(ctl1, (iy,ix),(1,1), wx.EXPAND)
                 ##[cb state, name, value, "+/-", error of fit, min, max , units]
                 self.parameters.append([None,item, ctl1,
@@ -509,11 +509,4 @@
                 sizer.Add( name,( iy, ix),(1,1),
                              wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-                ix +=1
-                # Units
-                try:
-                    units = wx.StaticText(self, -1, self.model.details[item][0], style=wx.ALIGN_LEFT)
-                except:
-                    units = wx.StaticText(self, -1, "", style=wx.ALIGN_LEFT)
-                sizer.Add(units, (iy,ix),(1,1),  wx.EXPAND|wx.ADJUST_MINSIZE, 0)
 
                 ix += 1
@@ -532,4 +525,11 @@
                 
                 sizer.Add(ctl1, (iy,ix),(1,1), wx.EXPAND)
+                ix +=1
+                # Units
+                try:
+                    units = wx.StaticText(self, -1, self.model.details[item][0], style=wx.ALIGN_LEFT)
+                except:
+                    units = wx.StaticText(self, -1, "", style=wx.ALIGN_LEFT)
+                sizer.Add(units, (iy,ix),(1,1),  wx.EXPAND|wx.ADJUST_MINSIZE, 0)
                 
                 ##[cb state, name, value, "+/-", error of fit, min, max , units]
